Debian Bug report logs - #390008
ser-postgres-module: empty package on !(i386|amd64)

version graph

Package: ser-postgres-module; Maintainer for ser-postgres-module is (unknown);

Reported by: Niko Tyni <ntyni@iki.fi>

Date: Thu, 28 Sep 2006 20:48:14 UTC

Severity: grave

Tags: fixed

Found in version ser/0.9.6-1

Fixed in versions 0.9.6-1.1, ser/0.9.6-2

Done: Mark Purcell <msp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#390008; Package ser-postgres-module. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@iki.fi>:
New Bug report received and forwarded. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@iki.fi>
To: submit@bugs.debian.org
Subject: ser-postgres-module: empty package on !(i386|amd64)
Date: Thu, 28 Sep 2006 23:10:35 +0300
Package: ser-postgres-module
Version: 0.9.6-1
Severity: grave
Justification: renders package inusable

Hi,

as seen on packages.debian.org [1], the ser-postgres-module is empty
on all architectures except i386 and amd64.

These lines in the build log look related:
 
 aug_sysdep.h:356:2: error: #error : os/cpu/compiler combination not configured in $Source: /cvsroot/ser/sip_router/modules/postgres/Attic/aug_sysdep.h,v $ $Revision: 1.3.2.1 $

[1] http://packages.debian.org/unstable/net/ser-postgres-module

Cheers,
-- 
Niko Tyni		ntyni@iki.fi



Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#390008; Package ser-postgres-module. Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 390008@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Steve McIntyre <steve@einval.com>
Cc: 390008@bugs.debian.org
Subject: [PATCH] ser postgres module build fix (was: Re: ser in etch?)
Date: Sun, 08 Oct 2006 11:51:27 +0200
[Message part 1 (text/plain, inline)]
Steve McIntyre <steve@einval.com> wrote:

>>A trivial patch to aug_sysdep.h is enough to get the module to
>>build. I had the same problem in OpenSER, it's only a conditional
>>define for a string that needs to be slightly modified.
>
> OK, there's an easy fix for #390008. Is it as simple as losing the
> #error? If more is needed, can you add a patch on the bug report
> please?

Attached is the patch I applied to OpenSER.

JB.

-- 
 Julien BLACHE <jblache@debian.org>  |  Debian, because code matters more 
 Debian & GNU/Linux Developer        |       <http://www.debian.org>
 Public key available on <http://www.jblache.org> - KeyID: F5D6 5169 
 GPG Fingerprint : 935A 79F1 C8B3 3521 FD62 7CC7 CD61 4FD7 F5D6 5169 

[02_postgres_module_build.dpatch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#390008; Package ser-postgres-module. Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 390008@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: 384772@bugs.debian.org, 390008@bugs.debian.org
Subject: NMU patch to fix these 2 RC bugs
Date: Sun, 8 Oct 2006 14:18:38 +0100
[Message part 1 (text/plain, inline)]
Uploading to unstable shortly using this diff...

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
  Armed with "Valor": "Centurion" represents quality of Discipline,
  Honor, Integrity and Loyalty. Now you don't have to be a Caesar to
  concord the digital world while feeling safe and proud.
[ser_num.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: fixed Request was from Steve McIntyre <93sam@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as fixed in version 0.9.6-1.1, send any further explanations to Niko Tyni <ntyni@iki.fi> Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Niko Tyni <ntyni@iki.fi>:
Bug#390008. Full text and rfc822 format available.

Message #22 received at 390008-submitter@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 386081-submitter@bugs.debian.org, 386185-submitter@bugs.debian.org, 386201-submitter@bugs.debian.org, 386202-submitter@bugs.debian.org, 386222-submitter@bugs.debian.org, 386223-submitter@bugs.debian.org, 386229-submitter@bugs.debian.org, 386267-submitter@bugs.debian.org, 386305-submitter@bugs.debian.org, 386319-submitter@bugs.debian.org, 386491-submitter@bugs.debian.org, 386620-submitter@bugs.debian.org, 386707-submitter@bugs.debian.org, 386719-submitter@bugs.debian.org, 386829-submitter@bugs.debian.org, 386833-submitter@bugs.debian.org, 386902-submitter@bugs.debian.org, 387063-submitter@bugs.debian.org, 387094-submitter@bugs.debian.org, 387133-submitter@bugs.debian.org, 387220-submitter@bugs.debian.org, 387433-submitter@bugs.debian.org, 387972-submitter@bugs.debian.org, 387974-submitter@bugs.debian.org, 387983-submitter@bugs.debian.org, 388026-submitter@bugs.debian.org, 388082-submitter@bugs.debian.org, 388193-submitter@bugs.debian.org, 388314-submitter@bugs.debian.org, 388535-submitter@bugs.debian.org, 388605-submitter@bugs.debian.org, 388609-submitter@bugs.debian.org, 388661-submitter@bugs.debian.org, 388831-submitter@bugs.debian.org, 389171-submitter@bugs.debian.org, 389233-submitter@bugs.debian.org, 389246-submitter@bugs.debian.org, 389304-submitter@bugs.debian.org, 389350-submitter@bugs.debian.org, 389352-submitter@bugs.debian.org, 389375-submitter@bugs.debian.org, 389377-submitter@bugs.debian.org, 389387-submitter@bugs.debian.org, 389391-submitter@bugs.debian.org, 389458-submitter@bugs.debian.org, 389560-submitter@bugs.debian.org, 389609-submitter@bugs.debian.org, 389639-submitter@bugs.debian.org, 389640-submitter@bugs.debian.org, 389696-submitter@bugs.debian.org, 389760-submitter@bugs.debian.org, 389769-submitter@bugs.debian.org, 389965-submitter@bugs.debian.org, 389968-submitter@bugs.debian.org, 390008-submitter@bugs.debian.org, 390276-submitter@bugs.debian.org, 390304-submitter@bugs.debian.org, 390384-submitter@bugs.debian.org, 390390-submitter@bugs.debian.org, 390403-submitter@bugs.debian.org, 390416-submitter@bugs.debian.org, 390467-submitter@bugs.debian.org, 390560-submitter@bugs.debian.org, 390657-submitter@bugs.debian.org, 390666-submitter@bugs.debian.org, 390671-submitter@bugs.debian.org, 390969-submitter@bugs.debian.org, 391025-submitter@bugs.debian.org, 391157-submitter@bugs.debian.org, 391181-submitter@bugs.debian.org, 391190-submitter@bugs.debian.org, 391199-submitter@bugs.debian.org, 391201-submitter@bugs.debian.org, 391206-submitter@bugs.debian.org, 391208-submitter@bugs.debian.org, 391237-submitter@bugs.debian.org, 391257-submitter@bugs.debian.org, 391266-submitter@bugs.debian.org, 391291-submitter@bugs.debian.org, 391391-submitter@bugs.debian.org, 391465-submitter@bugs.debian.org, 391566-submitter@bugs.debian.org, 391601-submitter@bugs.debian.org, 391695-submitter@bugs.debian.org, 391696-submitter@bugs.debian.org, 391697-submitter@bugs.debian.org, 391749-submitter@bugs.debian.org, 391750-submitter@bugs.debian.org, 391752-submitter@bugs.debian.org, 391754-submitter@bugs.debian.org, 391755-submitter@bugs.debian.org, 391760-submitter@bugs.debian.org, 391766-submitter@bugs.debian.org, 391767-submitter@bugs.debian.org, 391782-submitter@bugs.debian.org, 391791-submitter@bugs.debian.org, 391808-submitter@bugs.debian.org, 391846-submitter@bugs.debian.org, 391848-submitter@bugs.debian.org, 392053-submitter@bugs.debian.org, 392154-submitter@bugs.debian.org, 392164-submitter@bugs.debian.org, 392166-submitter@bugs.debian.org, 392318-submitter@bugs.debian.org, 392422-submitter@bugs.debian.org, 392730-submitter@bugs.debian.org, 392734-submitter@bugs.debian.org, 392850-submitter@bugs.debian.org, 392855-submitter@bugs.debian.org, 393012-submitter@bugs.debian.org, 393044-submitter@bugs.debian.org, 393051-submitter@bugs.debian.org, 393388-submitter@bugs.debian.org, 393449-submitter@bugs.debian.org, 393726-submitter@bugs.debian.org
Subject: Bugs fixed in NMU, documenting versions
Date: Sat, 21 Oct 2006 23:44:56 -0700
# Hi folks,
#
# All of these bugs have been fixed in NMU, but not acknowledged by the
# maintainers.  With version tracking in the Debian BTS, it is important to
# know which version of a package fixes each bug so that they can be tracked
# for release status in the BTS, so I'm closing these bugs with the relevant
# version number information now.

close 386081 0.99.10-1.1
close 386185 6.5.0.cvs.20060524-1.1
close 386201 2.0.14-0.1
close 386202 2.0.14-0.1
close 386222 0.13.alfa.8-3.1
close 386223 0.13-13.2
close 386229 0.35-6.1
close 386267 2.0.5-1.1
close 386305 0.0.26-5.1
close 386319 1.2.0-3.2
close 386491 1.1-2.1
close 386620 0.3.8-5.1
close 386707 20060907.1
close 386719 2.0.5-1.1
close 386829 0.65.1
close 386833 0.15-1.2
close 386902 2.2.3-1.2
close 387063 2.6.4-2.1
close 387094 2.2.3-1.3
close 387133 2:1.0.0-9
close 387220 0.65.1
close 387433 1.3-1.2
close 387972 0.0.20060309-5.1
close 387974 0.0.20060309-5.1
close 387983 2:0.92-3.1
close 388026 2.8.5-1.2
close 388082 0.0.20060309-5.1
close 388314 1:0.3.7-3.1
close 388535 1.4.3.dfsg-1.2
close 388605 1.0.2-0.1
close 388609 0.3.7-4.2
close 388661 0.15-16.1
close 389171 1.23-1.1
close 389233 1.99.beta2.1
close 389246 2.7.7-12.1
close 389304 3.2.3-1.1
close 389350 2.0.4-2.1
close 389352 3.3.0-5.4
close 389375 2.4.0-4.2
close 389377 1.0.4-1.2
close 389387 2.6.2-24.1
close 389391 0.3.8-1.2
close 389458 0.35-6.1
close 389560 2:0.92-3.1
close 389609 1.2.4par-0.2
close 389639 1.1.1-0.2
close 389640 0.3.7-4.2
close 389696 0.6-2.1
close 389760 1.1.0+1.1.1-a021-1.1
close 389769 3.0.8-0.2
close 389965 4.4rc.2-3.1
close 389968 4.51.5-1.1
close 390008 0.9.6-1.1
close 390276 2.13~beta3-0.1
close 390304 0.2.0-1
close 390384 0.12-5.1
close 390390 2.8.8-1.1
close 390403 0.0.20040112.dfsg-0.2
close 390467 1.0.0-1.1
close 390560 6.5.1-0.2
close 390657 1.0+dfsg0-0.1
close 390666 0.4.5+dfsg0-0.1
close 390671 3.13-7.1
close 390969 0.2-2.2
close 391025 1.1.2-1.1
close 391157 2.2.0-3.1
close 391181 2.0.10.1.1
close 391190 0.09-1.1
close 391199 0.84-6.1
close 391201 1.0.1-2.1
close 391206 2003.00.00-2.1
close 391208 0.7-9.1
close 391237 5.6.3-2.1
close 391257 0.20.1-1.1
close 391266 1.5.12.1-19.1
close 391291 0.0.20060309-5.2
close 391391 0.12-2.2
close 391465 2.0-8.1
close 391566 1:1.6.1-7.1
close 391601 3:20020927-3.1
close 391695 0.4.6-0.1
close 391696 1:3.9.20060704-2.1
close 391697 2.0-6.1
close 391749 1.0-1.1
close 391750 2.0.2-2.2
close 391752 1.1.1-6.1
close 391754 4.4rc.2-3.1
close 391755 1.1.4-3.1
close 391760 4.996-5.0-rc7-1.1
close 391767 2.0.48-4-2.2
close 391782 0.4-1.1
close 391791 1.2.6-1.1
close 391808 3.5-1.2
close 391848 0.2.7.1-1.1
close 392053 0.5.0-1.4
close 392154 3.06.dfsg.1-0.1
close 392164 0.31-5.1
close 392166 1.2
close 392318 1.5.1.dfsg-2.1
close 392422 0.2.0-1
close 392730 0.4.6-0.2
close 392855 1.4.29-1
close 393012 0.4-1.1
close 393044 5.4.2-1.1
close 393051 1.9~b3-1
close 393388 0.4.5+dfsg0-0.1
close 393726 1.71.0.dfsg.1-1.1
thanks

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Reply sent to Mark Purcell <msp@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@iki.fi>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 390008-close@bugs.debian.org (full text, mbox):

From: Mark Purcell <msp@debian.org>
To: 390008-close@bugs.debian.org
Subject: Bug#390008: fixed in ser 0.9.6-2
Date: Sat, 02 Dec 2006 11:47:06 +0000
Source: ser
Source-Version: 0.9.6-2

We believe that the bug you reported is fixed in the latest version of
ser, which is due to be installed in the Debian FTP archive:

ser-acc-db-module_0.9.6-2_i386.deb
  to pool/main/s/ser/ser-acc-db-module_0.9.6-2_i386.deb
ser-acc-radius-module_0.9.6-2_i386.deb
  to pool/main/s/ser/ser-acc-radius-module_0.9.6-2_i386.deb
ser-cpl-module_0.9.6-2_i386.deb
  to pool/main/s/ser/ser-cpl-module_0.9.6-2_i386.deb
ser-jabber-module_0.9.6-2_i386.deb
  to pool/main/s/ser/ser-jabber-module_0.9.6-2_i386.deb
ser-mysql-module_0.9.6-2_i386.deb
  to pool/main/s/ser/ser-mysql-module_0.9.6-2_i386.deb
ser-pa-module_0.9.6-2_i386.deb
  to pool/main/s/ser/ser-pa-module_0.9.6-2_i386.deb
ser-postgres-module_0.9.6-2_i386.deb
  to pool/main/s/ser/ser-postgres-module_0.9.6-2_i386.deb
ser-radius-modules_0.9.6-2_i386.deb
  to pool/main/s/ser/ser-radius-modules_0.9.6-2_i386.deb
ser_0.9.6-2.diff.gz
  to pool/main/s/ser/ser_0.9.6-2.diff.gz
ser_0.9.6-2.dsc
  to pool/main/s/ser/ser_0.9.6-2.dsc
ser_0.9.6-2_i386.deb
  to pool/main/s/ser/ser_0.9.6-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 390008@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Purcell <msp@debian.org> (supplier of updated ser package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat,  2 Dec 2006 11:24:20 +0000
Source: ser
Binary: ser-radius-modules ser-acc-radius-module ser-acc-db-module ser-jabber-module ser-cpl-module ser-postgres-module ser-mysql-module ser-pa-module ser
Architecture: source i386
Version: 0.9.6-2
Distribution: unstable
Urgency: low
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Changed-By: Mark Purcell <msp@debian.org>
Description: 
 ser        - Sip Express Router, very fast and configurable SIP proxy
 ser-acc-db-module - contains the ser acc module, with db support
 ser-acc-radius-module - contains the ser acc module, with RADIUS support
 ser-cpl-module - contains the cpl-c module (CPL support)
 ser-jabber-module - contains the Jabber module (SIP-Jabber message translation)
 ser-mysql-module - contains the MySQL database connectivity module
 ser-pa-module - contains the pa module (Presence server support)
 ser-postgres-module - contains the PostgreSQL database connectivity module
 ser-radius-modules - contains the ser RADIUS modules
Closes: 384772 390008 393713
Changes: 
 ser (0.9.6-2) unstable; urgency=low
 .
   [ Kilian Krause ]
   * Build-Depends: Cleanup to stop using alternatives and virtual packages to
     ensure we can reproduce builds and backport properly.
 .
   [ Mark Purcell ]
   * ACK NMU: Closes: #384772, #390008
   * Taken from openser: Thanks Julien BLACHE & Niko Tyni
   * debian/rules: temporarily decrease optimisation on arm
     - Fixes: empty package on arm (Closes: #393713)
   * Makefile patch - abort the build if a module fails to build
   * Debcheck - Build-Depends: libmysqlclient15-dev | libmysqlclient-dev
Files: 
 fdb7c6406a969593ccce64243bd89872 990 net optional ser_0.9.6-2.dsc
 7d6e075eac7ac067c67beb87edf8d8bd 10794 net optional ser_0.9.6-2.diff.gz
 fcff50240ca5aa76f9056065632e99b4 746554 net optional ser_0.9.6-2_i386.deb
 a793f213e20a5e600f800963208e6db3 15738 net optional ser-mysql-module_0.9.6-2_i386.deb
 ef37de2cdb872b95a027d2de9711ab42 59222 net optional ser-jabber-module_0.9.6-2_i386.deb
 6bc42705fe734f689c07556c5726e7d4 68032 net optional ser-cpl-module_0.9.6-2_i386.deb
 3e6afb224389652051a1c1389c9651d6 49242 net optional ser-pa-module_0.9.6-2_i386.deb
 2be56f011061b9195de3f445b6265b08 23494 net optional ser-radius-modules_0.9.6-2_i386.deb
 4c0ce741cc2ef5875bef7ca99ed1fcc5 17894 net optional ser-postgres-module_0.9.6-2_i386.deb
 2714648966b402eb7618adbb42eb8793 18178 net optional ser-acc-db-module_0.9.6-2_i386.deb
 9f88dad42a2bf58c46aa411613bc3313 18700 net optional ser-acc-radius-module_0.9.6-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFcWOsoCzanz0IthIRAg5mAJ0d2KXzj+/SCJR58kYibKFtFFgz8wCfSzqS
bU32Ncv1Rtq1H5pZxGRXWM8=
=n4LC
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 04 Jul 2007 07:33:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:30:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.